curl --request GET \
--url https://developer.synq.io/api/iam/v1 \
--header 'Authorization: Bearer <token>'import requests
url = "https://developer.synq.io/api/iam/v1"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://developer.synq.io/api/iam/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"workspace": "<string>",
"scopes": [
"SCOPE_UNSPECIFIED"
],
"scopeNames": [
"<string>"
],
"integrationId": "<string>",
"subject": "<string>",
"synqUserId": "<string>",
"clientType": "<string>",
"userName": "<string>",
"userEmail": "<string>"
}Iam
Iam returns information about caller authentication
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Success
Workspace to which caller is authenticated
What scopes are granted
SCOPE_UNSPECIFIED, SCOPE_ISSUES_EDIT, SCOPE_ISSUES_READ, SCOPE_INCIDENTS_EDIT, SCOPE_INCIDENTS_READ, SCOPE_ENTITY_EDIT, SCOPE_ENTITY_READ, SCOPE_ENTITY_TYPE_EDIT, SCOPE_ENTITY_TYPE_READ, SCOPE_LINEAGE_EDIT, SCOPE_LINEAGE_READ, SCOPE_CODE_READ, SCOPE_STATUS_READ, SCOPE_INGEST_DBT, SCOPE_INGEST_SQLMESH, SCOPE_INGEST_DWH, SCOPE_INGEST_SRE, SCOPE_INGEST_AIRFLOW, SCOPE_INGEST_CLOUDWATCH, SCOPE_INGEST_OPENLINEAGE, SCOPE_DATACHECKS_SQLTESTS_EDIT, SCOPE_DATACHECKS_SQLTESTS_READ, SCOPE_DATACHECKS_SQLTESTS_AUDIT_READ, SCOPE_DATACHECKS_TESTSUGGESTIONS_EDIT, SCOPE_DATACHECKS_TESTSUGGESTIONS_READ, SCOPE_DATACHECKS_TRIGGER, SCOPE_EXECUTION_EDIT, SCOPE_EXECUTION_LOG_EDIT, SCOPE_EXECUTION_READ, SCOPE_HOOK, SCOPE_SRE_AGENT, SCOPE_SRE_LLM, SCOPE_INTEGRATION_EDIT, SCOPE_INTEGRATION_READ, SCOPE_USER_EDIT, SCOPE_USER_READ, SCOPE_USER_ASSIGN, SCOPE_MONITORS_READ, SCOPE_MONITORS_AUTOMATIC_EDIT, SCOPE_MONITORS_CUSTOM_EDIT, SCOPE_MONITORS_CUSTOM_SQL_EDIT, SCOPE_ALERTS_EDIT, SCOPE_ALERTS_READ, SCOPE_OWNERS_EDIT, SCOPE_OWNERS_READ, SCOPE_OWNERSHIP_EDIT, SCOPE_OWNERSHIP_READ, SCOPE_DATAPRODUCT_EDIT, SCOPE_DATAPRODUCT_READ, SCOPE_DOMAIN_EDIT, SCOPE_DOMAIN_READ, SCOPE_EXTENSIONS_MANAGE, SCOPE_USAGE_GET, SCOPE_MCP_READ, SCOPE_MCP_WRITE, SCOPE_RECON_READ, SCOPE_RECON_EDIT, SCOPE_INGEST_RECON, SCOPE_RECON_PROMOTE, SCOPE_POLICIES_EDIT, SCOPE_POLICIES_READ, SCOPE_SAVED_VIEW_READ, SCOPE_SAVED_VIEW_EDIT, SCOPE_SAVED_VIEW_ADMIN, SCOPE_FOLDERS_READ, SCOPE_FOLDERS_EDIT, SCOPE_DELIVERY_READ, SCOPE_DELIVERY_EDIT Names of the scopes available
Indicates that the token is scoped to a specific integration
Identifier of the provided token
Coalesce Quality user ID associated with the token, present for user-level credentials
Indicates the client type through which the request was made
Human-readable name of the authenticated user. Populated only when the
token is tied to a Coalesce Quality user (i.e. synq_user_id is set);
empty for workspace-level or third-party tokens.
Email address of the authenticated user. Populated only when the token is
tied to a Coalesce Quality user (i.e. synq_user_id is set); empty for
workspace-level or third-party tokens.